openapi: 3.0.0
info:
  title: SAP API
  version: 1.0.0
servers:
- url: http://localhost:8080
paths:
  /rfc/BAPI_SLS_BOOK_READ_INFTY_1001:
    post:
      tags:
      - SLSH
      summary: Read Info type 1001 for object from HR TEM
      operationId: /rfc/BAPI_SLS_BOOK_READ_INFTY_1001
      requestBody:
        content:
          application/json:
            schema:
              properties:
                ADATA:
                  type: string
                  default: X
                  maxLength: 1
                  description: Single-character flag
                AUTHORITY:
                  type: string
                  default: DISP
                  maxLength: 4
                  description: Subtype
                BEGDA:
                  type: string
                  format: date
                  default: '19000101'
                  description: Start date
                CONDITION:
                  type: integer
                  format: int64
                  default: 0
                  description: Condition
                ENDDA:
                  type: string
                  format: date
                  default: '99991231'
                  description: End date
                EXTEND:
                  type: string
                  default: X
                  maxLength: 1
                  description: Extended condition
                ISTAT:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Planning status
                SORT:
                  type: string
                  default: X
                  maxLength: 1
                  description: Sort
                SUBTY:
                  type: string
                  default: ' '
                  maxLength: 4
                  description: Subtype
                WITH_EV:
                  type: string
                  default: ' '
                  maxLength: 1
                  description: Planning status
                WITH_STRU_AUTH:
                  type: string
                  default: X
                  maxLength: 1
                  description: Planning status
                I1001:
                  type: array
                  items:
                    type: object
                    properties:
                      MANDT:
                        type: string
                        maxLength: 3
                        description: Client
                      PLVAR:
                        type: string
                        maxLength: 2
                        description: Plan Version
                      OTYPE:
                        type: string
                        maxLength: 2
                        description: Object Type
                      OBJID:
                        type: integer
                        format: int64
                        description: Object ID
                      INFTY:
                        type: string
                        maxLength: 4
                        description: Infotype
                      RSIGN:
                        type: string
                        maxLength: 1
                        description: 'Relationship Specification  enumValues: B=top down,A=bottom up'
                        enum:
                        - B
                        - A
                      RELAT:
                        type: string
                        maxLength: 3
                        description: Relationship Between Objects
                      ISTAT:
                        type: string
                        maxLength: 1
                        description: Planning Status
                      PRIOX:
                        type: string
                        maxLength: 2
                        description: Priority
                      BEGDA:
                        type: string
                        format: date
                        description: Start Date
                      ENDDA:
                        type: string
                        format: date
                        description: End Date
                      VARYF:
                        type: string
                        maxLength: 10
                        description: Variation Field for File PLOG
                      SEQNR:
                        type: integer
                        format: int64
                        description: Number of Infotype Record With Same Key
                      AEDTM:
                        type: string
                        format: date
                        description: Changed on
                      UNAME:
                        type: string
                        maxLength: 12
                        description: User Name
                      REASN:
                        type: string
                        maxLength: 2
                        description: Reason
                      HISTO:
                        type: string
                        maxLength: 1
                        description: Historical Record Flag
                      ITXNR:
                        type: integer
                        format: int64
                        description: Text Module for Infotype
                      SCLAS:
                        type: string
                        maxLength: 2
                        description: Type of Related Object
                      SOBID:
                        type: string
                        maxLength: 45
                        description: ID of Related Object
                      PROZT:
                        type: integer
                        format: int64
                        description: Weighting Percentage
                      ADATA:
                        type: string
                        maxLength: 600
                        description: Additional Relationship Data
                OBJECTS:
                  type: array
                  items:
                    type: object
                    properties:
                      PLVAR:
                        type: string
                        maxLength: 2
                        description: Plan Version
                      OTYPE:
                        type: string
                        maxLength: 2
                        description: Object Type
                      OBJID:
                        type: integer
                        format: int64
                        description: Object ID
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                properties:
                  I1001:
                    type: array
                    items:
                      type: object
                      properties:
                        MANDT:
                          type: string
                          maxLength: 3
                          description: Client
                        PLVAR:
                          type: string
                          maxLength: 2
                          description: Plan Version
                        OTYPE:
                          type: string
                          maxLength: 2
                          description: Object Type
                        OBJID:
                          type: integer
                          format: int64
                          description: Object ID
                        INFTY:
                          type: string
                          maxLength: 4
                          description: Infotype
                        RSIGN:
                          type: string
                          maxLength: 1
                          description: 'Relationship Specification  enumValues: B=top down,A=bottom up'
                          enum:
                          - B
                          - A
                        RELAT:
                          type: string
                          maxLength: 3
                          description: Relationship Between Objects
                        ISTAT:
                          type: string
                          maxLength: 1
                          description: Planning Status
                        PRIOX:
                          type: string
                          maxLength: 2
                          description: Priority
                        BEGDA:
                          type: string
                          format: date
                          description: Start Date
                        ENDDA:
                          type: string
                          format: date
                          description: End Date
                        VARYF:
                          type: string
                          maxLength: 10
                          description: Variation Field for File PLOG
                        SEQNR:
                          type: integer
                          format: int64
                          description: Number of Infotype Record With Same Key
                        AEDTM:
                          type: string
                          format: date
                          description: Changed on
                        UNAME:
                          type: string
                          maxLength: 12
                          description: User Name
                        REASN:
                          type: string
                          maxLength: 2
                          description: Reason
                        HISTO:
                          type: string
                          maxLength: 1
                          description: Historical Record Flag
                        ITXNR:
                          type: integer
                          format: int64
                          description: Text Module for Infotype
                        SCLAS:
                          type: string
                          maxLength: 2
                          description: Type of Related Object
                        SOBID:
                          type: string
                          maxLength: 45
                          description: ID of Related Object
                        PROZT:
                          type: integer
                          format: int64
                          description: Weighting Percentage
                        ADATA:
                          type: string
                          maxLength: 600
                          description: Additional Relationship Data
                  OBJECTS:
                    type: array
                    items:
                      type: object
                      properties:
                        PLVAR:
                          type: string
                          maxLength: 2
                          description: Plan Version
                        OTYPE:
                          type: string
                          maxLength: 2
                          description: Object Type
                        OBJID:
                          type: integer
                          format: int64
                          description: Object ID
        '400':
          description: Bad request.
        5XX:
          description: Unexpected error.
